/* 
 * Generic IR module transmitter using timer interrupts
 * 
 * V1.1  
 * 
 * By: Lars Ivar Miljeteig, January 2013
 * Platform: AVR ATmega328p (avr-gcc)
 * Dependencies: 
 *
 */


#ifndef IR_H
#define IR_H

#include <stdint.h>

void ir_init();
void ir_send();

typedef struct pulsestruct
{
  uint16_t data[127];
  uint8_t index;
  uint8_t length;
} pulsestruct;

extern pulsestruct pulse;

#endif //IR_H

