#include "ir_generic.h"

uint8_t i = 0;

void setup() 
{
  Serial.begin(115200);
  ir_init();
  interrupts();
}

void loop() 
{
  if(Serial.available() > 0)
  {
    Serial.write(".");
    pulse.data[i] = Serial.parseInt();
    if(pulse.data[i] == 0xffff)
    {
      pulse.data[i] = 0;
      pulse.length = i;
      i = 0;
      Serial.write("Thanks. I got: ");
      uint8_t j;
      for(j=0; j<20; j++)
      {
        Serial.print(pulse.data[j]);
        Serial.write(",");
      }
      Serial.write("  - Length: ");
      Serial.print(pulse.length);
      Serial.write("\n");
      ir_send();
    }
    else
    {
      i++;
    }
  }
}



